---
title: math.j1() function
description: The math.j1() function returns the order-one Bessel function of the first kind.
menu:
  v2_0_ref:
    name: math.j1
    parent: Math
weight: 301
---

The `math.j1()` function returns the order-one Bessel function of the first kind.

_**Output data type:** Float_

```js
import "math"

math.j1(x: 1.23)

// Returns 0.5058005726280961
```

## Parameters

### x
The value used in the operation.

_**Data type:** Float_

## Special cases
```js
math.j1(±Inf) // Returns 0
math.j1(NaN)  // Returns NaN
```
